<form [formGroup]="userFormGroup" class="user-form">
  <fieldset class="user-form__fieldset">
    <div class="columns-container">
      <mat-form-field appearance="fill" class="user-form__field">
        <mat-label>{{'last_name' | transloco}}</mat-label>
        <input matInput formControlName="lastName">
      </mat-form-field>

      <mat-form-field appearance="fill" class="user-form__field">
        <mat-label>{{'first_name' | transloco}}</mat-label>
        <input matInput formControlName="firstName">
      </mat-form-field>

      <mat-form-field appearance="fill" class="user-form__field">
        <mat-label>{{'patronymic' | transloco}}</mat-label>
        <input matInput formControlName="patronymic">
      </mat-form-field>
    </div>

    <mat-form-field appearance="fill" class="user-form__field">
      <mat-label>{{'birthdate' | transloco}}</mat-label>
      <input matInput formControlName="birthdate" [imask]="dateMask">
    </mat-form-field>

    <ng-container *ngIf="roles$ | async; let roles">
      <mat-form-field appearance="fill" class="user-form__field">
        <mat-label>{{'role' | transloco}}</mat-label>
        <mat-select formControlName="roleId">
          <mat-option *ngFor="let role of roles" [value]="role.id">
            {{role.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </ng-container>
  </fieldset>

  <fieldset class="user-form__fieldset">
    <div formGroupName="passport" class="columns-container">
      <mat-form-field appearance="fill" class="user-form__field">
        <mat-label>{{'passport_number' | transloco}}</mat-label>
        <input matInput formControlName="number" [imask]="passportNumberMask">
      </mat-form-field>

      <mat-form-field appearance="fill" class="user-form__field">
        <mat-label>{{'passport_series' | transloco}}</mat-label>
        <input matInput formControlName="series" [imask]="passportSeriesMask">
      </mat-form-field>

      <mat-form-field appearance="fill" class="user-form__field">
        <mat-label>{{'passport_date_of_issue' | transloco}}</mat-label>
        <input matInput formControlName="dateOfIssue" [imask]="dateMask">
      </mat-form-field>

      <mat-form-field appearance="fill" class="user-form__field">
        <mat-label>{{'passport_authority_code' | transloco}}</mat-label>
        <input matInput formControlName="authorityCode" [imask]="passportAuthorityCodeMask">
      </mat-form-field>
    </div>

    <mat-form-field appearance="fill" class="user-form__field">
      <mat-label>{{'taxpayer_registration_number' | transloco}}</mat-label>
      <input matInput formControlName="taxpayerRegistrationNumber" [imask]="taxpayerNumberMask">
    </mat-form-field>
  </fieldset>

  <fieldset class="user-form__fieldset">
    <mat-form-field appearance="fill" class="user-form__field">
      <mat-label>{{'email' | transloco}}</mat-label>
      <input matInput formControlName="email" type="email">
    </mat-form-field>

    <mat-form-field appearance="fill" class="user-form__field">
      <mat-label>{{'password' | transloco}}</mat-label>
      <input matInput formControlName="password" type="password">
    </mat-form-field>
  </fieldset>

  <p class="label" *ngIf="!userFormGroup.valid">{{'check_entered_values_before_proceeding' | transloco}}</p>

  <div class="user-form__buttons-container">
    <button mat-raised-button color="accent" type="submit"
            *ngIf="user"
            (click)="onActivationToggle()">
      {{ (user?.isActive ? 'deactivate' : 'activate') | transloco }}
    </button>

    <button mat-raised-button color="primary" type="submit"
            (click)="onSave()"
            [disabled]="!userFormGroup.valid">
      {{'save' | transloco}}
    </button>
  </div>
</form>

